# Create 10DLC Brand

## POST Request

{% hint style="info" %}
<https://v1.api19.com/campaigns/brand/create>
{% endhint %}

Create a new 10DLC brand registration

{% tabs %}
{% tab title="Curl Post" %}

```bash
curl https://v1.api19.com/campaigns/brand/create \
 -d 'key=api_token' \
 -d 'companyType=PRIVATE_PROFIT' \
 -d 'ein=123456789' \
 -d 'inputCountry=US' \
 -d 'vertical=PROFESSIONAL' \
 -d 'businessname1=Company Name' \
 -d 'FirstName=John' \
 -d 'LastName=Doe' \
 -d 'Address1=123 Main St' \
 -d 'City=Denver' \
 -d 'inputState=CO' \
 -d 'Zip=80202' \
 -d 'Email=contact@example.com' \
 -d 'Website=https://example.com' \
 -d 'phonenumber=3035551234'
```

{% endtab %}

{% tab title="JSON Response" %}

```json
{
	"status": "ok"
}
```

{% endtab %}
{% endtabs %}

## Parameters

| Parameter          |   Required  | Description                                                     |
| ------------------ | :---------: | --------------------------------------------------------------- |
| companyType        |     yes     | Type of company                                                 |
| ein                | contitional | Employer Identification Number. Required if not sole proprietor |
| inputCountry       |     yes     | Country code                                                    |
| alt\_company\_info |      no     | Alternative company information                                 |
| alt\_company\_data |      no     | Alternative company data                                        |
| vertical           |     yes     | Business vertical/industry                                      |
| businessname1      | conditional | Primary business name, if not sole proprietor                   |
| businessname2      |      no     | Secondary business name                                         |
| FirstName          |     yes     | First name of contact                                           |
| LastName           |     yes     | Last name of contact                                            |
| Address1           |     yes     | Primary address                                                 |
| Address2           |      no     | Secondary address                                               |
| City               |     yes     | City                                                            |
| inputState         |     yes     | State                                                           |
| Zip                |     yes     | Postal code                                                     |
| Email              |     yes     | Contact email                                                   |
| Website            |     yes     | Company website                                                 |
| phonenumber        |     yes     | Contact phone number                                            |
| mobilenumber       | conditional | Mobile phone number, if sole proprietor                         |
| stockSymbol        |      no     | Stock symbol                                                    |
| stockExchange      |      no     | Stock exchange                                                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.api19.com/campaigns/create-10dlc-brand.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
